gtk-sharp 2.12.0.0 >Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Attribute System.AttributeUsage(System.AttributeTargets.Property | System.AttributeTargets.Field | System.AttributeTargets.All, AllowMultiple=true) An attribute to identify a property as a tree node column value.

This attribute is applied to a property of a tree node class to indicate that the property holds a column value of the node.

In the following example, the Frombulator property is tagged as Column 2 of the node which implements it:

`[TreeNodeValue(Column=2)] public string Frombulator { get { return frombulator; } }`
- Constructor
  2.12.0.0
  TreeNodeValueAttribute constructor
  Instantiates a
- Property
  2.12.0.0
  System.Int32 Column named value a The column number of the value which is exposed by the property this marks.